### Method

# GimpUi ZoomPreview get_source

#### Declaration [src]

    guchar*
    gimp_zoom_preview_get_source (
      GimpZoomPreview* preview,
      gint* width,
      gint* height,
      gint* bpp
    )

#### Description [src]

Returns the scaled image data of the part of the drawable the `GimpZoomPreview` is currently showing, as a newly allocated array of guchar. This function also allow to get the current width, height and bpp of the `GimpZoomPreview`.

Available since: | 2.4

#### Parameters

`width` | `gint*`
| A pointer to an int where the current width of the zoom widget will be put.
| The argument will be set by the function.
`height` | `gint*`
| A pointer to an int where the current width of the zoom widget will be put.
| The argument will be set by the function.
`bpp` | `gint*`
| Return location for the number of bytes per pixel.
| The argument will be set by the function.

#### Return value

Returns: | An array of `guchar`
| Newly allocated data that should be released using `g_free()` when it is not any longer needed.
| The caller of the method takes ownership of the data, and is responsible for freeing it.